Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1044849 - Anaconda refuses to install on GPT disk with partition starting below sector 2048
Summary: Anaconda refuses to install on GPT disk with partition starting below sector ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 20
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-19 05:52 UTC by Rod Smith
Modified: 2014-12-04 03:02 UTC (History)
8 users (show)

Fixed In Version: anaconda-21.48.10-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-20 23:01:58 UTC
Type: Bug


Attachments (Terms of Use)
Anaconda log file showing the failure (32.95 KB, text/x-log)
2013-12-19 05:52 UTC, Rod Smith
no flags Details
gdisk output showing partitions that lead to bug (908 bytes, text/plain)
2013-12-19 05:53 UTC, Rod Smith
no flags Details
Screen shot showing partition settings in Anaconda (82.44 KB, image/png)
2013-12-19 05:55 UTC, Rod Smith
no flags Details

Description Rod Smith 2013-12-19 05:52:06 UTC
Created attachment 838769 [details]
Anaconda log file showing the failure

Description of problem:

When installing in BIOS mode to a GPT hard disk with an EFI System Partition that starts at sector 40, Anaconda refuses to accept the partitions, and insists that "sda may not have enough space for grub2 to embed core.img when using the ext2 filesystem on partition." A BIOS Boot Partition *IS* present on the disk (I've tested with sizes up to 12MiB). Adjusting the EFI System Partition so that it begins on sector 2048 enables installation to proceed.


Version-Release number of selected component (if applicable):

Fedora 20


How reproducible:

Always


Steps to Reproduce:
1. Create disk layout with an ESP that begins at sector 40 and with subsequent partitions after that point.
2. Start the Fedora installation medium and Anaconda.
3. Tell Anaconda where each partition should be mounted.
4. Watch it fail.

Actual results:

Anaconda fails with the message ""sda may not have enough space for grub2 to embed core.img when using the ext2 filesystem on partition."


Expected results:

Anaconda should accept the partitions.


Additional info:

Comment 1 Rod Smith 2013-12-19 05:53:12 UTC
Created attachment 838770 [details]
gdisk output showing partitions that lead to bug

Comment 2 Rod Smith 2013-12-19 05:55:45 UTC
Created attachment 838771 [details]
Screen shot showing partition settings in Anaconda

Screen shot was taken from a run prior to the one that produced the Anaconda log and gdisk output; the partitions may be slightly different between these runs.

Comment 3 Rod Smith 2013-12-19 05:57:38 UTC
It's possible that https://bugzilla.redhat.com/show_bug.cgi?id=1003103 and/or https://bugzilla.redhat.com/show_bug.cgi?id=972906 have the same underlying cause as this bug.

Comment 4 Adam Williamson 2013-12-19 06:16:58 UTC
To be clear, is this a UEFI native install or a BIOS native install? Thanks!

If the former, it appears that check needs to be conditionalized and run only for BIOS installs.

Comment 5 Rod Smith 2013-12-19 14:23:52 UTC
As stated in the question, this is on a BIOS-mode installation.

Comment 6 Adam Williamson 2013-12-19 17:33:26 UTC
oh, d'oh, right at the start. read that twice and somehow missed it.

Comment 7 David Lehman 2013-12-19 23:12:04 UTC
There's a GRUB2.check method that handles this check for adequate gap space. It has an incorrect assumption that if a BIOS boot partition is present it will always be the first partition on the disk. It should probably just require that either the gap be sufficiently large or that there is a BIOS boot partition anywhere on the disk.

Comment 8 Chris Murphy 2013-12-19 23:38:17 UTC
grub-install should find BIOS Boot partitiontypeGUID anywhere on the disk. That's been my experience so far, intentionally putting it at the end of the disk and even wedged in between two file system partitions.

Comment 9 Fedora Update System 2014-10-15 13:07:51 UTC
anaconda-21.48.10-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/anaconda-21.48.10-1.fc21

Comment 10 Fedora Update System 2014-10-16 17:18:36 UTC
Package anaconda-21.48.10-1.fc21, pykickstart-1.99.63-2.fc21, python-blivet-0.61.5-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-21.48.10-1.fc21 pykickstart-1.99.63-2.fc21 python-blivet-0.61.5-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12944/pykickstart-1.99.63-2.fc21,python-blivet-0.61.5-1.fc21,anaconda-21.48.10-1.fc21
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2014-10-20 23:01:58 UTC
anaconda-21.48.10-1.fc21, pykickstart-1.99.63-2.fc21, python-blivet-0.61.5-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.